SystemOrganization addCategory: #ConfigurationOfGTInspectorCore!

Object subclass: #ConfigurationOfGTInspectorCore
	instanceVariableNames: 'project'
	classVariableNames: 'LastVersionLoad'
	poolDictionaries: ''
	category: 'ConfigurationOfGTInspectorCore'!

!ConfigurationOfGTInspectorCore commentStamp: 'AndreiChis 10/29/2014 12:02' prior: 0!
Core configuration of GTInspector for integrating with Pharo.

self loadDevelopment!

!ConfigurationOfGTInspectorCore class methodsFor: 'development support' stamp: 'AndreiChis 10/29/2014 11:14'!
DevelopmentSupport

"See the methods in the 'development support' category on the class-side of MetacelloBaseConfiguration. Decide what development support methods you would like to use and copy them the the class-side of your configuration."
	<apiDocumentation>
! !

!ConfigurationOfGTInspectorCore class methodsFor: 'private' stamp: 'AndreiChis 10/29/2014 11:14'!
baseConfigurationClassIfAbsent: aBlock

	^Smalltalk
		at: #MetacelloBaseConfiguration
		ifAbsent: [ 
			self ensureMetacelloBaseConfiguration.
			Smalltalk at: #MetacelloBaseConfiguration ifAbsent: aBlock ].
! !

!ConfigurationOfGTInspectorCore class methodsFor: 'private' stamp: 'AndreiChis 10/29/2014 11:14'!
ensureMetacello

	(self baseConfigurationClassIfAbsent: []) ensureMetacello! !

!ConfigurationOfGTInspectorCore class methodsFor: 'private' stamp: 'AndreiChis 10/29/2014 11:14'!
ensureMetacelloBaseConfiguration

	Smalltalk
		at: #MetacelloBaseConfiguration
		ifAbsent: [ 
			| repository version |
			repository := MCHttpRepository location: 'http://seaside.gemstone.com/ss/metacello' user: '' password: ''.
			repository
				versionReaderForFileNamed: 'Metacello-Base-DaleHenrichs.2.mcz'
				do: [ :reader | 
					version := reader version.
					version load.
					version workingCopy repositoryGroup addRepository: repository ] ]! !

!ConfigurationOfGTInspectorCore class methodsFor: 'metacello tool support' stamp: 'AndreiChis 10/29/2014 11:14'!
isMetacelloConfig
	"Answer true and the Metacello tools will operate on you"
	
	^true! !

!ConfigurationOfGTInspectorCore class methodsFor: 'loading' stamp: 'AndreiChis 10/29/2014 11:14'!
load
	"Load the #stable version defined for this platform. The #stable version is the version that is recommended to be used on this platform."

	"self load"

	<apiDocumentation>
	^(self project version: #stable) load! !

!ConfigurationOfGTInspectorCore class methodsFor: 'loading' stamp: 'AndreiChis 10/29/2014 11:14'!
loadBleedingEdge
	"Load the latest versions of the mcz files defined for this project. It is not likely that the #bleedingEdge has been tested."

	"self loadBleedingEdge"

	<apiDocumentation>
	^(self project version: #bleedingEdge) load! !

!ConfigurationOfGTInspectorCore class methodsFor: 'loading' stamp: 'AndreiChis 10/29/2014 11:14'!
loadDevelopment
	"Load the #development version defined for this platform. The #development version will change over time and is not expected to be stable."

	"self loadDevelopment"

	<apiDocumentation>
	^(self project version: #development) load! !

!ConfigurationOfGTInspectorCore class methodsFor: 'accessing' stamp: 'AndreiChis 10/29/2014 11:14'!
project

	^self new project! !

!ConfigurationOfGTInspectorCore class methodsFor: 'development support' stamp: 'AndreiChis 10/29/2014 11:14'!
validate
	"Check the configuration for Errors, Critical Warnings, and Warnings (see class comment for MetacelloMCVersionValidator for more information). 
	Errors identify specification issues that will result in unexpected behaviour when you load the configuration. 
	Critical Warnings identify specification issues that may result in unexpected behavior when you load the configuration.
	Warnings identify specification issues that are technically correct, but are worth take a look at."

	"self validate"

	<apiDocumentation>
	self ensureMetacello.
	^ ((Smalltalk at: #MetacelloToolBox) validateConfiguration: self debug: #() recurse: false) explore! !

!ConfigurationOfGTInspectorCore methodsFor: 'baselines' stamp: 'AndreiChis 10/29/2014 12:00'!
baseline20: spec
	<version: '2.0-baseline'>

	spec for: #'common' do: [
		spec blessing: #'baseline'.
		spec description: 'GTInspector Core'.
		spec author: 'AndreiChis'.
		spec timestamp: '2014-10-29'.
		spec repository: 'http://smalltalkhub.com/mc/Moose/GToolkit/main/'.
		
		spec 
			package: 'GT-Inspector' with: [
				spec requires: #('GlamourCore' ). ];
			package: 'GT-InspectorExtensions-Core' with: [
				spec requires: #('GT-Inspector' 'GlamourCore' ). ];
			package: 'GT-Tests-Inspector' with: [
				spec requires: #('GT-Inspector' 'GT-InspectorExtensions-Core' ). ].
		
		spec 
			project: 'GlamourCore' with: [
				spec
					className: #ConfigurationOfGlamourCore;
					versionString: #'development';
					repository: 'http://smalltalkhub.com/mc/Moose/Glamour/main/' ].
		
		spec 
			group: 'Core' with: #('GT-Inspector' 'GT-InspectorExtensions-Core' );
			group: 'Tests' with: #('GT-Tests-Inspector' );
			group: 'default' with: #('GT-Inspector' 'GT-InspectorExtensions-Core' 'GT-Tests-Inspector' ) ]
! !

!ConfigurationOfGTInspectorCore methodsFor: 'accessing' stamp: 'AndreiChis 10/29/2014 11:14'!
customProjectAttributes
	 "Edit to return a collection of any custom attributes e.g. for conditional loading: Array with: #'Condition1' with: #'Condition2.
	For more information see: http://code.google.com/p/metacello/wiki/CustomProjectAttrributes"

	^ #().! !

!ConfigurationOfGTInspectorCore methodsFor: 'symbolic versions' stamp: 'AndreiChis 5/5/2015 14:29'!
development: spec
	<symbolicVersion: #'development'>

	spec for: #'common' version: '2.0-baseline'.
	spec for: #'pharo4.x' version: '2.0-baseline'.
! !

!ConfigurationOfGTInspectorCore methodsFor: 'accessing' stamp: 'AndreiChis 10/29/2014 11:14'!
project

	^ project ifNil: [ 
		"Bootstrap Metacello if it is not already loaded"
		(self class baseConfigurationClassIfAbsent: []) ensureMetacello.
		"Construct Metacello project"
		project := MetacelloMCProject new projectAttributes: self customProjectAttributes. 
		(Smalltalk at: #MetacelloVersionConstructor) on: self project: project.
		project loadType: #linear. "change to #atomic if desired"
		project ]! !

!ConfigurationOfGTInspectorCore methodsFor: 'symbolic versions' stamp: 'AndreiChis 7/3/2015 16:47'!
stable: spec
	<symbolicVersion: #'stable'>

	spec for: #'common' version: '2.0.17'.
	spec for: #'pharo3.x' version: '2.0.6'.
	spec for: #'pharo4.x' version: '2.0.15'.
	spec for: #'pharo5.x' version: '2.0.17'.


! !

!ConfigurationOfGTInspectorCore methodsFor: 'versions' stamp: 'AndreiChis 11/5/2014 19:23'!
version200: spec
	<version: '2.0.0' imports: #('2.0-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'version 2.0.0'.
		spec author: 'AndreiChis'.
		spec timestamp: '10/29/2014 17:01'.
		
		spec 
			package: #'GT-Inspector' with: 'GT-Inspector-TudorGirba.266';
			package: 'GT-InspectorExtensions-Core' with: 'GT-InspectorExtensions-Core-TudorGirba.74';
			package: 'GT-Tests-Inspector' with: 'GT-Tests-Inspector-AndreiChis.24'. 
		spec 
			project: 'GlamourCore' with: '3.0.0'. ].
! !

!ConfigurationOfGTInspectorCore methodsFor: 'versions' stamp: 'AndreiChis 1/16/2015 19:10'!
version2010: spec
	<version: '2.0.10' imports: #('2.0-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'version 2.0.10'.
		spec author: 'AndreiChis'.
		spec timestamp: '01/16/2015 19:10'.
		spec project: 'GlamourCore' with: '3.0.10'.
		spec 
			package: 'GT-Inspector' with: 'GT-Inspector-TudorGirba.284';
			package: 'GT-InspectorExtensions-Core' with: 'GT-InspectorExtensions-Core-TudorGirba.93';
			package: 'GT-Tests-Inspector' with: 'GT-Tests-Inspector-AndreiChis.24'. ].
! !

!ConfigurationOfGTInspectorCore methodsFor: 'versions' stamp: 'AndreiChis 4/9/2015 23:50'!
version2011: spec
	<version: '2.0.11' imports: #('2.0-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'version 2.0.11'.
		spec author: 'AndreiChis'.
		spec timestamp: '04/06/2015 22:04'.
		spec project: 'GlamourCore' with: '3.1.0'.
		spec 
			package: 'GT-Inspector' with: 'GT-Inspector-TudorGirba.305';
			package: 'GT-InspectorExtensions-Core' with: 'GT-InspectorExtensions-Core-TudorGirba.144';
			package: 'GT-Tests-Inspector' with: 'GT-Tests-Inspector-StefanReichhart.33'. ].
! !

!ConfigurationOfGTInspectorCore methodsFor: 'versions' stamp: 'AndreiChis 4/11/2015 17:02'!
version2012: spec
	<version: '2.0.12' imports: #('2.0-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'version 2.0.12'.
		spec author: 'AndreiChis'.
		spec timestamp: '04/11/2015 18:02'.
		spec project: 'GlamourCore' with: '3.1.1'.
		spec 
			package: 'GT-Inspector' with: 'GT-Inspector-TudorGirba.305';
			package: 'GT-InspectorExtensions-Core' with: 'GT-InspectorExtensions-Core-TudorGirba.144';
			package: 'GT-Tests-Inspector' with: 'GT-Tests-Inspector-StefanReichhart.33'. ].
! !

!ConfigurationOfGTInspectorCore methodsFor: 'versions' stamp: 'AndreiChis 4/29/2015 11:11'!
version2013: spec
	<version: '2.0.13' imports: #('2.0-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'version 2.0.13'.
		spec author: 'AndreiChis'.
		spec timestamp: '04/29/2015 11:11'.
		spec project: 'GlamourCore' with: '3.1.2'.
		spec 
			package: 'GT-Inspector' with: 'GT-Inspector-SeanDeNigris.306';
			package: 'GT-InspectorExtensions-Core' with: 'GT-InspectorExtensions-Core-TorstenBergmann.145';
			package: 'GT-Tests-Inspector' with: 'GT-Tests-Inspector-StefanReichhart.33'. ].
! !

!ConfigurationOfGTInspectorCore methodsFor: 'versions' stamp: 'AndreiChis 5/5/2015 14:52'!
version2014: spec
	<version: '2.0.14' imports: #('2.0-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'version 2.0.14'.
		spec author: 'AndreiChis'.
		spec timestamp: '05/05/2015'.
		spec project: 'GlamourCore' with: '3.1.3'.
		spec 
			package: 'GT-Inspector' with: 'GT-Inspector-TudorGirba.305';
			package: 'GT-InspectorExtensions-Core' with: 'GT-InspectorExtensions-Core-AndreiChis.147';
			package: 'GT-Tests-Inspector' with: 'GT-Tests-Inspector-StefanReichhart.33'. ].
! !

!ConfigurationOfGTInspectorCore methodsFor: 'versions' stamp: 'AndreiChis 5/15/2015 17:35'!
version2015: spec
	<version: '2.0.15' imports: #('2.0-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'version 2.0.15'.
		spec author: 'AndreiChis'.
		spec timestamp: '5/15/2015'.
		spec project: 'GlamourCore' with: '3.1.4'.
		spec 
			package: 'GT-Inspector' with: 'GT-Inspector-AndreiChis.307';
			package: 'GT-InspectorExtensions-Core' with: 'GT-InspectorExtensions-Core-AndreiChis.147';
			package: 'GT-Tests-Inspector' with: 'GT-Tests-Inspector-StefanReichhart.33'. ].
! !

!ConfigurationOfGTInspectorCore methodsFor: 'versions' stamp: 'AndreiChis 7/1/2015 14:22'!
version2016: spec
	<version: '2.0.16' imports: #('2.0-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'version 2.0.16'.
		spec author: 'AndreiChis'.
		spec timestamp: '7/1/2015'.
		spec project: 'GlamourCore' with: '3.1.7'.
		spec 
			package: 'GT-Inspector' with: 'GT-Inspector-AndreiChis.308';
			package: 'GT-InspectorExtensions-Core' with: 'GT-InspectorExtensions-Core-AndreiChis.149';
			package: 'GT-Tests-Inspector' with: 'GT-Tests-Inspector-StefanReichhart.33'. ].
! !

!ConfigurationOfGTInspectorCore methodsFor: 'versions' stamp: 'AndreiChis 7/3/2015 13:55'!
version2017: spec
	<version: '2.0.17' imports: #('2.0-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'version 2.0.17'.
		spec author: 'AndreiChis'.
		spec timestamp: '7/3/2015'.
		spec project: 'GlamourCore' with: '3.1.8'.
		spec 
			package: 'GT-Inspector' with: 'GT-Inspector-AndreiChis.308';
			package: 'GT-InspectorExtensions-Core' with: 'GT-InspectorExtensions-Core-AndreiChis.149';
			package: 'GT-Tests-Inspector' with: 'GT-Tests-Inspector-StefanReichhart.33'. ].
! !

!ConfigurationOfGTInspectorCore methodsFor: 'versions' stamp: 'AndreiChis 11/13/2014 13:57'!
version201: spec
	<version: '2.0.1' imports: #('2.0-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'version 2.0.1'.
		spec author: 'AndreiChis'.
		spec timestamp: '11/13/2014 13:54'.
		
		spec 
			package: #'GT-Inspector' with: 'GT-Inspector-BernardoContreras.267';
			package: 'GT-InspectorExtensions-Core' with: 'GT-InspectorExtensions-Core-TudorGirba.76';
			package: 'GT-Tests-Inspector' with: 'GT-Tests-Inspector-AndreiChis.24'. 
		spec 
			project: 'GlamourCore' with: '3.0.1'. ].
! !

!ConfigurationOfGTInspectorCore methodsFor: 'versions' stamp: 'AndreiChis 11/14/2014 11:51'!
version202: spec
	<version: '2.0.2' imports: #('2.0-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'version 2.0.2'.
		spec author: 'AndreiChis'.
		spec timestamp: '11/14/2014 11:48'.
		
		spec 
			package: #'GT-Inspector' with: 'GT-Inspector-BernardoContreras.267';
			package: 'GT-InspectorExtensions-Core' with: 'GT-InspectorExtensions-Core-TudorGirba.76';
			package: 'GT-Tests-Inspector' with: 'GT-Tests-Inspector-AndreiChis.24'. 
		spec 
			project: 'GlamourCore' with: '3.0.2'. ].
! !

!ConfigurationOfGTInspectorCore methodsFor: 'versions' stamp: 'AndreiChis 12/7/2014 14:03'!
version203: spec
	<version: '2.0.3' imports: #('2.0-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'version 2.0.3'.
		spec author: 'AndreiChis'.
		spec timestamp: '12/07/2014 13:58'.
		
		spec 
			package: 'GT-Inspector' with: 'GT-Inspector-EstebanLorenzano.271';
			package: 'GT-InspectorExtensions-Core' with: 'GT-InspectorExtensions-Core-TudorGirba.86';
			package: 'GT-Tests-Inspector' with: 'GT-Tests-Inspector-AndreiChis.24'. 
		spec 
			project: 'GlamourCore' with: '3.0.3'. ].
! !

!ConfigurationOfGTInspectorCore methodsFor: 'versions' stamp: 'AndreiChis 12/9/2014 12:12'!
version204: spec
	<version: '2.0.4' imports: #('2.0-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'version 2.0.4'.
		spec author: 'AndreiChis'.
		spec timestamp: '12/09/2014 12:08'.
		
		spec 
			package: 'GT-Inspector' with: 'GT-Inspector-EstebanLorenzano.271';
			package: 'GT-InspectorExtensions-Core' with: 'GT-InspectorExtensions-Core-TudorGirba.86';
			package: 'GT-Tests-Inspector' with: 'GT-Tests-Inspector-AndreiChis.24'. 
		spec 
			project: 'GlamourCore' with: '3.0.4'. ].
! !

!ConfigurationOfGTInspectorCore methodsFor: 'versions' stamp: 'AndreiChis 12/10/2014 13:59'!
version205: spec
	<version: '2.0.5' imports: #('2.0-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'version 2.0.5'.
		spec author: 'AndreiChis'.
		spec timestamp: '12/10/2014 13:38'.
		
		spec 
			package: 'GT-Inspector' with: 'GT-Inspector-TudorGirba.275';
			package: 'GT-InspectorExtensions-Core' with: 'GT-InspectorExtensions-Core-TudorGirba.87';
			package: 'GT-Tests-Inspector' with: 'GT-Tests-Inspector-AndreiChis.24'. 
		spec 
			project: 'GlamourCore' with: '3.0.5'. ].
! !

!ConfigurationOfGTInspectorCore methodsFor: 'versions' stamp: 'TudorGirba 12/23/2014 21:25'!
version206: spec
	<version: '2.0.6' imports: #('2.0-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'version 2.0.6'.
		spec author: 'TudorGirba'.
		spec timestamp: '12/23/2014 14:07'.
		spec project: 'GlamourCore' with: '3.0.6'.
		spec 
			package: 'GT-Inspector' with: 'GT-Inspector-AndreiChis.276';
			package: 'GT-InspectorExtensions-Core' with: 'GT-InspectorExtensions-Core-TudorGirba.88';
			package: 'GT-Tests-Inspector' with: 'GT-Tests-Inspector-AndreiChis.24'. ].
! !

!ConfigurationOfGTInspectorCore methodsFor: 'versions' stamp: 'AndreiChis 1/4/2015 10:09'!
version207: spec
	<version: '2.0.7' imports: #('2.0-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'version 2.0.7'.
		spec author: 'AndreiChis'.
		spec timestamp: '01/04/2015 14:07'.
		spec project: 'GlamourCore' with: '3.0.7'.
		spec 
			package: 'GT-Inspector' with: 'GT-Inspector-AndreiChis.276';
			package: 'GT-InspectorExtensions-Core' with: 'GT-InspectorExtensions-Core-TudorGirba.88';
			package: 'GT-Tests-Inspector' with: 'GT-Tests-Inspector-AndreiChis.24'. ].
! !

!ConfigurationOfGTInspectorCore methodsFor: 'versions' stamp: 'AndreiChis 1/7/2015 17:31'!
version208: spec
	<version: '2.0.8' imports: #('2.0-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'version 2.0.8'.
		spec author: 'AndreiChis'.
		spec timestamp: '01/07/2015 17:28'.
		spec project: 'GlamourCore' with: '3.0.8'.
		spec 
			package: 'GT-Inspector' with: 'GT-Inspector-TudorGirba.278';
			package: 'GT-InspectorExtensions-Core' with: 'GT-InspectorExtensions-Core-AndreiChis.91';
			package: 'GT-Tests-Inspector' with: 'GT-Tests-Inspector-AndreiChis.24'. ].
! !

!ConfigurationOfGTInspectorCore methodsFor: 'versions' stamp: 'AndreiChis 1/8/2015 21:42'!
version209: spec
	<version: '2.0.9' imports: #('2.0-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'version 2.0.9'.
		spec author: 'AndreiChis'.
		spec timestamp: '01/08/2015 21:41'.
		spec project: 'GlamourCore' with: '3.0.9'.
		spec 
			package: 'GT-Inspector' with: 'GT-Inspector-TudorGirba.279';
			package: 'GT-InspectorExtensions-Core' with: 'GT-InspectorExtensions-Core-AndreiChis.92';
			package: 'GT-Tests-Inspector' with: 'GT-Tests-Inspector-AndreiChis.24'. ].
! !
